.body-page {
    width: 210mm;
    height: 100%;
    background-color: rgb(141, 139, 139); 
    }
    * {
    box-sizing: border-box;
    -moz-box-sizing: border-box;
    margin: auto;
    }

.main-page {
    width: 210mm;
    min-height: 297mm;
    background: white;
    font-size: 4mm;
    }

.sub-page {
    height: 297mm;
    border-style: solid;
    border-color: black;
    margin: 10mm auto;
    }

.ligne {

    min-height: 42.42mm;
    max-height: 42.42mm;
    padding: 3mm 3mm 3mm 4mm;
    line-height: 4mm;
    overflow: hidden;
    width: 210mm;
}
.ligne-last {
    min-height: 39.43mm;
    max-height: 39.43mm;
    padding: 2mm 3mm 3mm 4mm;
    line-height: 4mm;
    width: 210mm;
}

  .left {
    float: left; width: 50%;
    min-height: inherit;
    max-height: inherit;
  }
  
  .right {
    float: right; width: 50%;
    padding-left: 4mm;
    min-height: inherit;
    max-height: inherit;
  }

  .first {
    margin-top: 2mm;
}

@page {
    size: A4;
    margin: 0;
    }
@media print {
    html, body {
        width: 210mm;
        height: 297mm;
    }
    .main-page {
        border: initial;
        border-radius: initial;
        width: initial;
        min-height: initial;
        background: initial;
        page-break-after: always;
        font-size: 4mm;
    }
    .sub-page {
        height: 297mm;
        border-style: initial;
        border-color: initial;
        margin: initial;
        }

    .ligne {
        min-height: 42.42mm;
        max-height: 42.42mm;
        padding: 3mm 3mm 3mm 4mm;
        line-height: 4mm;
        overflow: hidden;
        width: 210mm;
    }

    .ligne-last {
        min-height: 39.43mm;
        max-height: 39.43mm;
        padding: 2mm 3mm 3mm 4mm;
        line-height: 4mm;
        width: 210mm;
        background-color: rgb(141, 139, 139);
    }

}